/*

  A4988 Stepper Motor Driver

  Parts required:
  - Arduino Board
  - A4988 Stepper Motor Driver
  - Nema Stepper Motor 12V
  - Capacitor (100 µF)
  - Power Supply 12V minimunm 1A

  Programming by : René Rasmussen
  Website : www.it-teknolog.dk
  Contact : renerasmussen@it-teknolog.dk
  Date : 14 mar 2020
  Version : v1.0

  IMPORTENT:
  Make sure to set the current limit on the A4988 Driver see instruction in the PDF files.

*/

#define dirPin 2                                // define direction on digitalPort 2
#define stepPin 3                               // define step on digitalPort 3

#define stepsPerRevolution 200                  // define step per revolution  (full step)
                                                // 200 at full step (MS1 = LOW, MS2 = LOW, MS3 = LOW)
                                                // 400 at half step (MS1 = HIGH, MS2 = LOW, MS3 = LOW)
                                                // 800 at quarter step (MS1 = LOW, MS2 = HIGH, MS3 = LOW)
                                                // 1600 at eighth step (MS1 = HIGH, MS2 = HIGH, MS3 = LOW)
                                                // 3200 at sexteenth step (MS1 = HIGH, MS2 = HIGH, MS3 = HIGH)
                                                 
#define pulseLength 1000                        // define pulse lenght to 1000 microseconds 

void setup() {
pinMode(dirPin,OUTPUT);                         // set dirPin as OUTPUT
pinMode(stepPin,OUTPUT);                        // set stepPin as OUTPUT
}

void loop() {
digitalWrite(dirPin,LOW);                       // set stepper motor direction (HIGH = anticlockwise, LOW = clockwise)

for (int i = 0; i < stepsPerRevolution; i++) {  // for i = 1 to (stepsPerRevolution) do revolution 

digitalWrite(stepPin,HIGH);                     // set stepPin as HIGH to start pulse 
delayMicroseconds(pulseLength);                 // wait (pulseLength) micro seconds 
digitalWrite(stepPin,LOW);                      // set stepPin as LOW to stop the pulse
delayMicroseconds(pulseLength);                 // wait (pulseLength) micro seconds
}
delay(1000);                                    // wait 1000 ms
}
